DebugMapTileFactory (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class DebugMapTileFactory

    java.lang.Object
      com.bbn.openmap.util.cacheHandler.CacheHandler
          com.bbn.openmap.dataAccess.mapTile.StandardMapTileFactory
              com.bbn.openmap.dataAccess.mapTile.DebugMapTileFactory

All Implemented Interfaces:
  MapTileFactory, PropertyConsumer

    public class DebugMapTileFactory

extends StandardMapTileFactory

A simple MapTileFactory that returns empty tiles with labels showing zoom level and x, y coords, and borders. This does the same thing as enabling the MAPTILE_DEBUGGING logger flag, but can be attached to a MapTileLayer which can be turned off and on.

The properties for the layer looke like this (with tileDebug as an example prefix):

     tileDebug.class=com.bbn.openmap.layer.imageTile.MapTileLayer
     tileDebug.prettyName=Map Tile Information
     tileDebug.tileFactory=com.bbn.openmap.dataAccess.mapTile.DebugMapTileFactory

Author:
  dietrick

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.dataAccess.mapTile.StandardMapTileFactory
`StandardMapTileFactory.TilePathBuilder`

Field Summary

Fields inherited from class com.bbn.openmap.dataAccess.mapTile.StandardMapTileFactory
`CACHE_SIZE_PROPERTY, EMPTY_TILE_HANDLER_PROPERTY, emptyTileHandler, FILE_EXT_PROPERTY, fileExt, lastProj, logger, mapTileLogger, mapTileRequester, mtcTransform, MTCTRANSFORM_PROPERTY, prefix, ROOT_DIR_PATH_PROPERTY, ROOT_DIR_PROPERTY, rootDir, rootDirProperty, TILE_IMAGE_PREPARER_PROPERTY, TILE_PROPERTIES, tileImagePreparer, verbose, ZOOM_LEVEL_INFO_PROPERTY, ZOOM_LEVEL_TILE_SIZE_PROPERTY, zoomLevelInfo, zoomLevelTileSize`

Fields inherited from class com.bbn.openmap.util.cacheHandler.CacheHandler
`DEFAULT_MAX_CACHE_SIZE, logicalClock, objs`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`DebugMapTileFactory()`

Method Summary
`CacheObject` | `load(java.lang.Object key, int x, int y, int zoomLevel, Projection proj)` Called to load cache object from data source, when not found in cache.

Methods inherited from class com.bbn.openmap.dataAccess.mapTile.StandardMapTileFactory
`buildCacheKey, buildFilePath, configureFromProperties, createOMGraphicFromBufferedImage, get, getEmptyTile, getEmptyTileHandler, getFileExt, getFromCache, getInitPropertiesOrder, getMapTileRequester, getMtcTransform, getProperties, getPropertyInfo, getPropertyPrefix, getRootDir, getTileImagePreparer, getTileMatchingProjectionType, getTileNotMatchingProjectionType, getTilePathBuilder, getTiles, getTiles, getTiles, getTiles, getZoomLevelInfo, load, preprocessImage, reset, setEmptyTileHandler, setFileExt, setMapTileRequester, setMtcTransform, setProperties, setProperties, setPropertyPrefix, setRootDir, setTileImagePreparer, setTilePathBuilder, setZoomLevelInfo`

Methods inherited from class com.bbn.openmap.util.cacheHandler.CacheHandler
`clear, get, getCacheSize, listIterator, replaceLeastUsed, resetCache, resetCache, searchCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugMapTileFactory

    public DebugMapTileFactory()

Method Detail

### load

    public CacheObject load(java.lang.Object key,
                            int x,
                            int y,
                            int zoomLevel,
                            Projection proj)

  Description copied from class: `StandardMapTileFactory`
  Called to load cache object from data source, when not found in cache.

  Overrides:
    `load` in class `StandardMapTileFactory`
  Parameters:
    `key` - cache key
    `x` - uv x coordinate
    `y` - uv y coordinate
    `zoomLevel` - zoom level for tile to load
    `proj` - passed solely to enable checking if the projection of the tiles matches the rendered projection.
  Returns:
    CacheObject returned from cache, null if not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details